registerOutputEvent(fxDTSBrick,"cashStorage","string 200 100\tList Owner-Withdraw 1 Owner-Only 2 Unrestricted 3 PlayerIDAccess 4 PlayerIDWithdraw 5\tstring 200 70",1);

package CashStorages
{
	function servercmdmessagesent(%c,%msg)
	{
		if(!%c.CashStorage)
		{
			Parent::servercmdmessagesent(%c,%msg);
		} else {
			%cc=%c.cashObj.cash;
			%csoo=%c.cso;
			switch$(%c.CashStorageStage)
			{
			case "AcceptedOMenu":
				%msg = mFloor(getword(%msg,0));
				switch(%msg)
				{
				case 1:
					%c.CashStorageStage = "Withdraw";
					messageClient(%c,'',"\c6  Please enter an amount to withdraw:");
				case 2:
					%c.CashStorageStage = "Deposit";
					messageClient(%c,'',"\c6  Please enter an amount to deposit:");
				default:
					messageClient(%c,'',"\c6  You have selected an invalid option.");
					%c.CashStorage = 0;
				}
			case "FailedOMenu":
				%msg = mFloor(getword(%msg,0));
				switch(%msg)
				{
				case 1:
					messageClient(%c,'',"\c6Only the storage owner can withdraw.");
					%c.CashStorage = 0;
				case 2:
					%c.CashStorageStage = "Deposit";
					messageClient(%c,'',"\c6  Please enter an amount to deposit:");
				default:
					messageClient(%c,'',"\c6  You have selected an invalid option.");
					%c.CashStorage = 0;
				}
			case "FailedOMenu2":
				%msg = mFloor(getword(%msg,0));
				switch(%msg)
				{
				case 1:
					messageClient(%c,'',"\c6Only "@%c.egg142@" can withdraw.");
					%c.egg142 = "nobody";
					%c.CashStorage = 0;
				case 2:
					%c.CashStorageStage = "Deposit";
					messageClient(%c,'',"\c6  Please enter an amount to deposit:");
				default:
					messageClient(%c,'',"\c6  You have selected an invalid option.");
					%c.CashStorage = 0;
				}
			case "MenuOwner":
				%msg = mFloor(getword(%msg,0));
				switch(%msg)
				{
				case 1:
					%c.CashStorageStage = "Withdraw";
					messageClient(%c,'',"\c6  Please enter an amount to withdraw:");
				case 2:
					%c.CashStorageStage = "Deposit";
					messageClient(%c,'',"\c6  Please enter an amount to deposit:");
				default:
					messageClient(%c,'',"\c6  You have selected an invalid option.");
					%c.CashStorage = 0;
				}
			case "MenuUnrestricted":
				%msg = mFloor(getword(%msg,0));
				switch(%msg)
				{
				case 1:
					%c.CashStorageStage = "Withdraw";
					messageClient(%c,'',"\c6  Please enter an amount to withdraw:");
				case 2:
					%c.CashStorageStage = "Deposit";
					messageClient(%c,'',"\c6  Please enter an amount to deposit:");
				default:
					messageClient(%c,'',"\c6  You have selected an invalid option.");
					%c.CashStorage = 0;
				}
			case "Withdraw":
				%msg = mFloor(getword(%msg,0));
				if(%msg > 0 && $ClubMods::CashStorage::cashInStore[%c.cso] >= %msg)
				{
					%before = $ClubMods::CashStorage::cashInStore[%c.cso];
					$ClubMods::CashStorage::cashInStore[%c.cso]=$ClubMods::CashStorage::cashInStore[%c.cso]-%msg;
					if($ClubMods::CashStorage::cashInStore[%c.cso] <= -1)
					{
						$ClubMods::CashStorage::cashInStore[%c.cso]=%before;
						messageclient(%c,'',"\c6  You have selected an invalid amount.");
						exportCMCS();
						%c.CashStorage = 0;
					}
					else
					{
						%c.cashObj.Mod("Cash",%msg);
						messageclient(%c,'',"\c6  You have withdrawn" SPC CashStr(%msg,"") @ "\c6 from the storage.");
						%c.CashStorage = 0;
						exportCMCS();
					}
				} else {
					messageclient(%c,'',"\c6  You have selected an invalid amount.");
					%c.CashStorage = 0;
				}
			case "Deposit":
				%msg = mFloor(getword(%msg,0));
				if(%msg > 0 && %cc >= %msg)
				{
					%c.cashObj.Mod("Cash",0 - %msg);
					$ClubMods::CashStorage::cashInStore[%c.cso]+=%msg;
					messageclient(%c,'',"\c6  You have deposited" SPC CashStr(%msg,"") @ "\c6 into the storage.");
					messageclient(%c.input,'',"\c6The storage \c3"@%c.cso@"\c6 received" SPC CashStr(%msg,"") SPC "\c6from \c3"@%c.name@"\c6.");
					%c.CashStorage = 0;
					exportCMCS();
				} else {
					messageclient(%c,'',"\c6  You have selected an invalid amount.");
					%c.CashStorage = 0;
				}
			default:
				messageClient(%c,'',"\c6  Something is wrong.");
				%c.CashStorage = 0;
			}
		}
	}
};

activatePackage(CashStorages);

function fxDTSBrick::cashStorage(%this,%sname,%list,%input,%client)
{
	if(!%client.CashStorage)
	{
		%sname = strReplace(%sname," ","_");
		%sname = strReplace(%sname,"'","");
		%sname = strReplace(%sname,"!","");
		%sname = strReplace(%sname,":","");
		%sname = strReplace(%sname,".","");
		switch(%list)
		{
		case 1:
			%client.cso = %sname;
			%client.CashStorage = 1;
			%csoc=$ClubMods::CashStorage::cashInStore[%sname];
			messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");
			if(%client.bl_id == %this.client.bl_id)
			{
				messageClient(%client,'',"\c3  1\c6. Withdraw");
				messageClient(%client,'',"\c3  2\c6. Deposit");
				%client.CashStorageStage = "AcceptedOMenu";
				%client.input = findClientByBL_ID(%this.client.bl_id);
			}
			else
			{
				messageClient(%client,'',"<color:777777>  1. Withdraw");
				messageClient(%client,'',"\c3  2\c6. Deposit");
				%client.CashStorageStage = "FailedOMenu";
				%client.input = findClientByBL_ID(%this.client.bl_id);
			}
			messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
		case 2:
			if(%this.stackBL_ID==%client.bl_id)
			{
				%client.cso = %sname;
				%client.CashStorage = 1;
				%client.CashStorageStage = "MenuOwner";
				%csoc=$ClubMods::CashStorage::cashInStore[%sname];
				messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");
				messageClient(%client,'',"\c3  1\c6. Withdraw");
				messageClient(%client,'',"\c3  2\c6. Deposit");
				messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
				%client.input = findClientByBL_ID(%this.client.bl_id);
			}
			else
			{
				messageClient(%client,'',"\c6You fail to access the storage.");
			}
		case 3:
			%client.cso = %sname;
			%client.CashStorage = 1;
			%client.CashStorageStage = "MenuUnrestricted";
			%csoc=$ClubMods::CashStorage::cashInStore[%sname];
			messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");
			messageClient(%client,'',"\c3  1\c6. Withdraw");
			messageClient(%client,'',"\c3  2\c6. Deposit");
			messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
			%client.input = findClientByBL_ID(%this.client.bl_id);
		case 4:
			if(%client.bl_id == %input)
			{
				%client.cso = %sname;
				%client.CashStorage = 1;
				%client.CashStorageStage = "MenuUnrestricted";
				%csoc=$ClubMods::CashStorage::cashInStore[%sname];
				messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");
				messageClient(%client,'',"\c3  1\c6. Withdraw");
				messageClient(%client,'',"\c3  2\c6. Deposit");
				messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
				%client.input = findClientByBL_ID(%input);
			}
			else
			{
				%target = findClientByBL_ID(%input);
				if(isObject(%target.player))
				{
					messageClient(%client,'',"\c6You fail to access "@%target.name@"'s storage.");
				}
				else
				{
					messageClient(%client,'',"\c6Unexisting player ID.");
				}
			}
		case 5:
			if(%client.bl_id == %input)
			{
				%client.cso = %sname;
				%client.CashStorage = 1;
				%client.CashStorageStage = "MenuUnrestricted";
				%csoc=$ClubMods::CashStorage::cashInStore[%sname];
				messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");
				messageClient(%client,'',"\c3  1\c6. Withdraw");
				messageClient(%client,'',"\c3  2\c6. Deposit");
				messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
				%client.input = findClientByBL_ID(%input);
			}
			else
			{
				%target = findClientByBL_ID(%input);
				if(isObject(%target.player))
				{
					%client.cso = %sname;
					%client.CashStorage = 1;
					%csoc=$ClubMods::CashStorage::cashInStore[%sname];
					%client.egg142 = %target.name;
					messageClient(%client,'',"\c6Storages: This storage has" SPC CashStr(%csoc,"") @ "\c6.");					
					messageClient(%client,'',"<color:777777>  1. Withdraw");
					messageClient(%client,'',"\c3  2\c6. Deposit");
					messageClient(%client,'',"\c6Storage Name: \c3"@%sname@"");
					%client.CashStorageStage = "FailedOMenu2";
					%client.input = findClientByBL_ID(%input);
				}
				else
				{
					messageClient(%client,'',"\c6Unexisting player ID.");
				}
			}
		default:
			messageClient(%client,'',"\c6  Something is wrong.");
		}		
	}
	else
	{
		return;
	}
}